<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.15="http://sbr.gov.au/fdtn/sbr.02.15.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.03="http://sbr.gov.au/icls/py/pyid/pyid.02.03.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:dtyp.02.09="http://sbr.gov.au/fdtn/sbr.02.09.dtyp" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" xmlns:emsup.02.20="http://sbr.gov.au/icls/em/emsup/emsup.02.20.data" xmlns:emsup.02.21="http://sbr.gov.au/icls/em/emsup/emsup.02.21.data" xmlns:emsup.02.22="http://sbr.gov.au/icls/em/emsup/emsup.02.22.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyin.02.14="http://sbr.gov.au/icls/py/pyin/pyin.02.14.data" xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data" xmlns:pyde.02.12="http://sbr.gov.au/icls/py/pyde/pyde.02.12.data" xmlns:RprtPyType.02.08="http://sbr.gov.au/dims/RprtPyType.02.08.dims" xmlns:ReportingPartyABN.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:emsup.02.08="http://sbr.gov.au/icls/em/emsup/emsup.02.08.data" xmlns:pyid.02.10="http://sbr.gov.au/icls/py/pyid/pyid.02.10.data" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="STIC201501Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M42"/><xsl:apply-templates select="/" mode="M43"/><xsl:apply-templates select="/" mode="M44"/><xsl:apply-templates select="/" mode="M45"/><xsl:apply-templates select="/" mode="M46"/><xsl:apply-templates select="/" mode="M47"/><xsl:apply-templates select="/" mode="M48"/><xsl:apply-templates select="/" mode="M49"/><xsl:apply-templates select="/" mode="M50"/><xsl:apply-templates select="/" mode="M51"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross all of the STIC services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="RP.Identifier.ABN" select="$RP.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn']/text()"/><xsl:variable name="INT.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]             ]"/><xsl:variable name="INT.ContextId" select="$INT.Context/@id"/><xsl:variable name="INT.Identifier.ABN" select="$INT.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn']/text()"/><xsl:variable name="INT.Startdate" select="string($INT.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')])"/><xsl:variable name="SFMABN.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                     and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                      and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                     and count(./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')])=0                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]                     /xbrli:segment[                          not(@i:nil='true' or @i:nil='1')                          and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1                          and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)                         and count(./xbrldi:explicitMember[                             not(@i:nil='true' or @i:nil='1')                              and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                              and matches(.,'^RprtPyType\.\d\d\.\d\d:SuperFundMember$')]) = 1                             and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ReportingPartyABN\.\d\d\.\d\d_typedelement:ReportingPartyABNDimension$')]                                ) = 1                 ]             ]"/><xsl:variable name="SFMABN.ContextId" select="$SFMABN.Context/@id"/><xsl:variable name="SFMABN.Identifier" select="$SFMABN.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme)='http://www.sbr.gov.au/id']/text()"/><xsl:variable name="SFMABN.Identifier.ABN" select="$SFMABN.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:typedMember[@dimension ='ReportingPartyABN.02.00_typedelement:ReportingPartyABNDimension']/ReportingPartyABN.02.00_typedelement:Identifiers.AustralianBusinessNumber.Identifier/text()"/><xsl:variable name="SFMI.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                     and ./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')]                                         and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]                     /xbrli:segment[                          not(@i:nil='true' or @i:nil='1')                          and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1                          and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)                         and count(./xbrldi:explicitMember[                             not(@i:nil='true' or @i:nil='1')                              and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                              and matches(.,'^RprtPyType\.\d\d\.\d\d:SuperFundMember$')]) = 1                             and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ReportingPartyABN\.\d\d\.\d\d_typedelement:ReportingPartyABNDimension$')]                                ) = 1                 ]             ]"/><xsl:variable name="SFMI.ContextId" select="$SFMI.Context/@id"/><xsl:template match="text()" priority="-1" mode="M42"/><xsl:template match="@*|node()" priority="-2" mode="M42"><xsl:apply-templates select="*" mode="M42"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the STIC services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M43">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')                            and xbrli:identifier[not(@i:nil='true' or @i:nil='1') and not(matches(@scheme,'^http://www.ato.gov.au/abn$'))]                           and xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                            and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.438030</isns:Code><isns:Description>Entity identifier scheme for Intermediary must be"http://www.ato.gov.au/abn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          count($INT.Context)!=1                                                 )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000002</isns:Code><isns:Description>Invalid context. The number of Intermediary (sender) contexts must be 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M43"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M43">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                           xbrli:identifier[not(@i:nil='true' or @i:nil='1')                             and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN'                             and string-length(normalize-space(.)) != 0                             and not(function:ValidateABN(.))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430318</isns:Code><isns:Description>ABN in context must be a valid ABN</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           ( . = $RP.Context or . = $INT.Context or . = $SFMABN.Context)                            and                                                  string(xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] )                           != string(xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] )                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000001</isns:Code><isns:Description>Invalid Context: Period start and end date must be the same for each duration context</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $RP.Context                           and                          xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                             xbrli:identifier[not(@i:nil='true' or @i:nil='1')                             and upper-case(@scheme) != 'HTTP://WWW.ATO.GOV.AU/ABN']                                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000003</isns:Code><isns:Description>Entity identifier scheme for Reporting Party must be"http://www.ato.gov.au/abn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         ( . = $SFMABN.Context or . = $SFMI.Context )                           and                              xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                                 xbrli:identifier[not(@i:nil='true' or @i:nil='1')                                 and lower-case(@scheme) != 'http://www.sbr.gov.au/id']                                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000004</isns:Code><isns:Description>Entity identifier scheme for SuperFundMember must be "http://www.sbr.gov.au/id"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="startDate" select="./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[ . != $startDate and not(@i:nil='true' or @i:nil='1')])"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000027</isns:Code><isns:Description>Invalid Context: Period start date must be the same across all duration contexts</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="CurrentSFMABN" select=" ./xbrli:entity/xbrli:segment/xbrldi:typedMember[@dimension = 'ReportingPartyABN.02.00_typedelement:ReportingPartyABNDimension']/ReportingPartyABN.02.00_typedelement:Identifiers.AustralianBusinessNumber.Identifier/text()"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                            and                          count(                             $RP.Context[./xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]/text() = $CurrentSFMABN ]                         ) != 1                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000005</isns:Code><isns:Description>SuperFund Member must have ABN of Reporting Party (requesting provider)</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>The Reporting Party ABN in a SuperFund Member context must be the ABN in an Reporting Party (requesting provider) context</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M43"/></xsl:template><xsl:template match="text()" priority="-1" mode="M43"/><xsl:template match="@*|node()" priority="-2" mode="M43"><xsl:apply-templates select="*" mode="M43"/></xsl:template>

<!--
                PATTERN SWS ContextSWS specific validations for contexts that are applicable accross all of the STIC services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M44">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                  count($RP.Context) != 1)                          "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.SWS001</isns:Code><isns:Description>Invalid context. The number of Reporting Party (requesting provider) contexts must be 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             count($SFMABN.Context) != 1)                          "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.SWS002</isns:Code><isns:Description>Invalid context. The number of SuperFundMember contexts must be 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M44"/></xsl:template><xsl:template match="text()" priority="-1" mode="M44"/><xsl:template match="@*|node()" priority="-2" mode="M44"><xsl:apply-templates select="*" mode="M44"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M45">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        matches(.,'^(.*)UNKNOWN(.*)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000409</isns:Code><isns:Description>Suburb/Town/City cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not((not(../pyde.02.08:AddressDetails.Country.Code[@contextRef = @id and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                          or                          ../pyde.02.08:AddressDetails.Country.Code[@contextRef = @id and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'AU']                       ) and matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.030010</isns:Code><isns:Description>Suburb/Town/City cannot contain state code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) &gt; 60                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000026</isns:Code><isns:Description>Suburb/Town/City value exceeds maximum length of 60 characters.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M45"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M45">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) &gt; 38                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410194</isns:Code><isns:Description>Address Line 1 must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Although SBR sets a limit of 50 characters for the Line 1 of an address, the maximum allowable for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          matches(.,'^(.*)UNKNOWN(.*)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000405</isns:Code><isns:Description>Address line 1 cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or                         matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or                         matches(.,'^(.*)( C/O| C/| Care Of)$','i') or                         matches(.,'^(C/O|C/|Care Of|CO)$','i')                  )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000406</isns:Code><isns:Description>Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(contains(upper-case(.), 'AS ABOVE'))                    "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410001</isns:Code><isns:Description>Address Line 1 must not contain 'AS ABOVE'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M45"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M45">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) &gt; 38                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410195</isns:Code><isns:Description>Address Line 2 must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Although SBR sets a limit of 50 characters for the Line 2 of an address, the maximum allowable for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*)UNKNOWN(.*)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000407</isns:Code><isns:Description>Address line 2 cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or                            matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or                            matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or                            matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000408</isns:Code><isns:Description>'Care of' is not valid for address line 2</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M45"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Date[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M45">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $SFMABN.ContextId                         and                          function:IsDate1GreaterThanDate2(., current-date())                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.030005</isns:Code><isns:Description>Individual's account status date must be the current date or earlier</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M45"/></xsl:template><xsl:template match="text()" priority="-1" mode="M45"/><xsl:template match="@*|node()" priority="-2" mode="M45"><xsl:apply-templates select="*" mode="M45"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M46">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000006</isns:Code><isns:Description>Business name of Intermediary (sender) must be provided.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M46"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M46"><xsl:variable name="currentContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $RP.Context                         and                                                not(../pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000007</isns:Code><isns:Description>Business name of Reporting Party (requesting provider) must be provided.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                         and                                                not(../pyin.02.14:Interaction.Reason.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000008</isns:Code><isns:Description>Request message action required must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                          and                                                not(../pyde.02.12:PersonDemographicDetails.Birth.Year[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000013</isns:Code><isns:Description>Individual's year of birth must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                          and                                                not(../pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000015</isns:Code><isns:Description>Individual's family name must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M46"/></xsl:template><xsl:template match="text()" priority="-1" mode="M46"/><xsl:template match="@*|node()" priority="-2" mode="M46"><xsl:apply-templates select="*" mode="M46"/></xsl:template>

<!--
                PATTERN OrganisationOrganisation Common Validations-->
<xsl:template match="text()" priority="-1" mode="M47"/><xsl:template match="@*|node()" priority="-2" mode="M47"><xsl:apply-templates select="*" mode="M47"/></xsl:template>

<!--
                PATTERN AddressAddress Common Validations-->
<xsl:template match="text()" priority="-1" mode="M48"/><xsl:template match="@*|node()" priority="-2" mode="M48"><xsl:apply-templates select="*" mode="M48"/></xsl:template>

<!--
                PATTERN PersonPerson Common Validations-->


	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M49">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410063</isns:Code><isns:Description>Given Name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                         matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                         matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                         matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000437</isns:Code><isns:Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                         matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                         matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                         matches(.,'^(MR|MRS|MISS|MS)$','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000438</isns:Code><isns:Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000439</isns:Code><isns:Description>First name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M49"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M49">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000427</isns:Code><isns:Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410040</isns:Code><isns:Description>Family name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                   matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                   matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000424</isns:Code><isns:Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                   matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                   matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                   matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                   matches(.,'^(MR|MRS|MISS|MS)$','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000426</isns:Code><isns:Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M49"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M49">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410131</isns:Code><isns:Description>Other Given Name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000451</isns:Code><isns:Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                   matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                   matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000449</isns:Code><isns:Description>Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                   matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                   matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                   matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                   matches(.,'^(MR|MRS|MISS|MS)$','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000450</isns:Code><isns:Description>Other given name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M49"/></xsl:template><xsl:template match="text()" priority="-1" mode="M49"/><xsl:template match="@*|node()" priority="-2" mode="M49"><xsl:apply-templates select="*" mode="M49"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M50"><xsl:variable name="currentContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                  $currentContextId = $SFMABN.ContextId and                          number(../pyde.02.12:PersonDemographicDetails.Birth.Year[@contextRef=$currentContextId and not(@i:nil='true' or @i:nil='1')])                         &gt;                         number(substring($INT.Context[1]/xbrli:period/xbrli:startDate,1,4))                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000014</isns:Code><isns:Description>Individual's year of birth must be equal to or less than the year of the request submission date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                         and                                                ../pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                         and                         not(../pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000016</isns:Code><isns:Description>Given name must be entered if Other given name is entered</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000034</isns:Code><isns:Description>Individual's given name is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.00:AddressDetails.Line1.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000035</isns:Code><isns:Description>Address Line 1 is required if TFN is not provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000036</isns:Code><isns:Description>Suburb/Town/City is required if TFN is not provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.00:AddressDetails.Postcode.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and (                                 not(../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                               or                               ../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'AU']                             )                      ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000037</isns:Code><isns:Description>Postcode must be present for Australian address if TFN is not provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and (                                 not(../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                               or                               ../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'AU']                             )                      ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000038</isns:Code><isns:Description>State must be present for Australian address if TFN is not provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="SprFndUSI" select="../emsup.02.08:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]/text()"/><xsl:variable name="RPABN" select="$RP.Context/xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn' and string-length(normalize-space(.)) != 0]/text()"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                         and $SprFndUSI                         and not(                                 (                                                                              (                                     string-length(normalize-space($SprFndUSI)) = 14                                      or                                     string-length(normalize-space($SprFndUSI)) = 9                                     )                                                                   )                                 and(                                 (                                                    (                                     string-length(normalize-space($SprFndUSI)) = 14                                     and                                      (                                         count($RPABN) = 1                                         and                                         (matches(substring($SprFndUSI,1,11),$RPABN))                                          and                                          (matches(substring($SprFndUSI,12,3),'^[0-9]{3}$'))                                       )                                 )                                 or                                 (                                     string-length(normalize-space($SprFndUSI)) = 9                                     and                                      (                                     (matches(substring($SprFndUSI,1,3),'^[a-zA-Z]{3}$'))                                     and(matches(substring($SprFndUSI,4,4),'^[0-9]{4}$'))                                     and(matches(substring($SprFndUSI,8,2),'^[a-zA-Z]{2}$'))                                      )                                 )                                 )                             )                                                                  )                      ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000039</isns:Code><isns:Description>A valid Unique Superannuation Identifier (USI) is either fund's ABN + 3 digits, or a SPIN</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.12:PersonDemographicDetails.Birth.DayofMonth[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000040</isns:Code><isns:Description>Full date of birth is required if TFN is not provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.12:PersonDemographicDetails.Birth.Month[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000040</isns:Code><isns:Description>Full date of birth is required if TFN is not provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="CurrentSFMABNID" select="./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme)='http://www.sbr.gov.au/id']/text()"/><xsl:variable name="SFMIContext" select="$SFMI.Context[./xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme)='http://www.sbr.gov.au/id']/text() = $CurrentSFMABNID] "/><xsl:variable name="CurentRefSFMIContextId" select="$SFMIContext/@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           . = $SFMABN.Context                            and                                                      ../pyin.02.14:Interaction.Reason.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and (normalize-space(upper-case(.))='VALNEWMEM' or normalize-space(upper-case(.))='VALUPDMEM')]                             and (                                 not ( ../pyid.02.10:Identifiers.SuperannuationMemberAccount.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0  ] )                                 or not( ../emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Date[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')])                                  or not(../emsup.02.08:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                                )                                        ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.030003</isns:Code><isns:Description>Individual's account details must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For new and update member account requests, Individual's reporting party account number, USI for Individual's account, and Individual's account status date must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           . = $SFMABN.Context                            and                                                      ../pyin.02.14:Interaction.Reason.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and normalize-space(upper-case(.))='VALIDENT']                             and (                                 ../pyid.02.10:Identifiers.SuperannuationMemberAccount.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0  ]                                 or  ../emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Date[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')]                                 or  ../emsup.02.08:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                                )                                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.030004</isns:Code><isns:Description>Individual's account details must not be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For validating identity requests, Individual's reporting party account number, USI for Individual's account, and Individual's account status date must not be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           . = $SFMABN.Context                            and                                                      ../pyin.02.14:Interaction.Reason.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and normalize-space(upper-case(.)) = 'VALUPDMEM']                            and                            ../emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and normalize-space(upper-case(.)) != 'CLOSED']                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.030002</isns:Code><isns:Description>Individual's account status value is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Code</xsl:text></Location><isns:LongDescription>Individual's account status must be set to "Closed" for update member account requests</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           . = $SFMABN.Context                            and                                                      ../pyin.02.14:Interaction.Reason.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and normalize-space(upper-case(.)) != 'VALUPDMEM']                            and                            ../emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.030006</isns:Code><isns:Description>Individual's account status value is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Code</xsl:text></Location><isns:LongDescription>Individual's account status must not be provided for new member account or validating identity requests</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M50">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) != 0                         and                         @contextRef = $SFMABN.ContextId                         and                         ../pyde.02.08:AddressDetails.Country.Code[@contextRef = $SFMABN.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'AU']/@contextRef=./@contextRef                         and                         not(matches(., '^(ACT|NSW|NT|QLD|SA|VIC|WA|TAS)$','i'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000019</isns:Code><isns:Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.12:PersonDemographicDetails.Birth.Year[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M50">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $SFMABN.ContextId                         and                          number(.) &lt; 1900                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000033</isns:Code><isns:Description>The Individual's year of birth must not be earlier than 1900</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="currentContextRef" select=" @contextRef"/><xsl:variable name="currentBirthDayOfMonth" select=" ../pyde.02.12:PersonDemographicDetails.Birth.DayofMonth[@contextRef = $currentContextRef]"/><xsl:variable name="currentBirthMonth" select="../pyde.02.12:PersonDemographicDetails.Birth.Month[@contextRef =  $currentContextRef]"/><xsl:variable name="currentBirthYear" select="./text()"/><xsl:variable name="currentBirthDate" select="concat($currentBirthYear,                                                    '-',                                                     substring-after($currentBirthMonth, '--'),                                                    '-',                                                    substring-after($currentBirthDayOfMonth, '---'))"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) != 0                         and                         @contextRef = $SFMABN.ContextId                         and                                                ../pyde.02.12:PersonDemographicDetails.Birth.DayofMonth[@contextRef = $SFMABN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]/@contextRef=./@contextRef                         and                         ../pyde.02.12:PersonDemographicDetails.Birth.Month[@contextRef = $SFMABN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]/@contextRef=./@contextRef                         and                         not(matches($currentBirthDate,'^\d{4}-\d{2}-\d{2}$') and string($currentBirthDate) castable as xs:date)                      ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.000030</isns:Code><isns:Description>All Individual's date of birth fields must form a valid date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.14:Interaction.Reason.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M50">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $SFMABN.ContextId                         and                         not(upper-case(.)='VALIDENT' or upper-case(.)='VALNEWMEM' or upper-case(.)='VALUPDMEM')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.030000</isns:Code><isns:Description>Request message action required value is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Request message action required value must be "VALIDENT" (to validate identity only), "VALNEWMEM" (to validate identity and notify of new member account), or "VALUPDMEM" (to update or close an existing member account)</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template><xsl:template match="text()" priority="-1" mode="M50"/><xsl:template match="@*|node()" priority="-2" mode="M50"><xsl:apply-templates select="*" mode="M50"/></xsl:template>

<!--
                PATTERN WarningsValidations for warnings that are applicable accross all STIC services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M51">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) != 0                         and                                         @contextRef = $SFMABN.ContextId                         and                                     not(function:ValidateTFN(.))                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.STIC.W00001</isns:Code><isns:Description>Tax File Number has failed the algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Warning</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M51"/></xsl:template><xsl:template match="text()" priority="-1" mode="M51"/><xsl:template match="@*|node()" priority="-2" mode="M51"><xsl:apply-templates select="*" mode="M51"/></xsl:template></xsl:stylesheet>