﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" schemaVersion="ISO19757-3" queryBinding="xslt2" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Validation of Process Form for SBR Lodge Web Service</title>

<!-- XML/SOAP namespaces -->
<ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
<ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />
<ns prefix="xsi" uri="http://www.w3.org/2001/XMLSchema-instance" />
<ns prefix="exslt" uri="http://gotdotnet.com/exslt/strings" />
<ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />

<!-- EXSLT and extension namespaces -->
<ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
<ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
<ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />
<ns prefix="ref" uri="http://www.xbrl.org/2006/ref" />
<ns prefix="iso4217" uri="http://www.xbrl.org/2003/iso4217" />
<ns prefix="xmime" uri="http://www.w3.org/2005/05/xmlmime" />
<ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
<!-- XBRL/XLink namespaces -->
<ns prefix="tech.01.03" uri="http://sbr.gov.au/fdtn/sbr.01.03.tech" />
<ns prefix="pyde.02.01" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" />
<ns prefix="dtyp.02.15" uri="http://sbr.gov.au/fdtn/sbr.02.15.dtyp" />
<ns prefix="pyde.02.08" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" />
<ns prefix="tech.01.02" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
<ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
<ns prefix="pyid.02.03" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.03.data" />
<!-- Core SBR namespaces -->
<ns prefix="dtyp.02.03" uri="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" />
<ns prefix="dtyp.02.13" uri="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" />
<ns prefix="dtyp.02.09" uri="http://sbr.gov.au/fdtn/sbr.02.09.dtyp" />
<ns prefix="pyid.02.00" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
<!-- Taxonomy namespaces -->
<ns prefix="emsup.02.03" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" />
<ns prefix="emsup.02.20" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.20.data" />
<ns prefix="emsup.02.21" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.21.data" />
<ns prefix="emsup.02.22" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.22.data" />  
<ns prefix="dtyp.02.00" uri="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" />
<ns prefix="pyin.02.14" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.14.data" />
<ns prefix="pyde.02.10" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data" />
<ns prefix="pyde.02.12" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.12.data" />
<ns prefix="RprtPyType.02.08" uri="http://sbr.gov.au/dims/RprtPyType.02.08.dims" />
<ns prefix="ReportingPartyABN.02.00_typedelement" uri="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims" />
<ns prefix="function" uri="http://ato.gov.au/SWSFunctions" />
<ns prefix="fn" uri="http://www.w3.org/2005/xpath-functions" />
<ns prefix="emsup.02.08" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.08.data" />
<ns prefix="pyid.02.10" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.10.data" />


<phase id="Prerequisites">
<active pattern="Variables" />
<active pattern="Context" />
<active pattern="SWS Context" />
<active pattern="FieldPatterns" />
</phase>

<phase id="Mandatories">
<active pattern="Variables" />
<active pattern="Mandatories" />
</phase>

<phase id="Content">
<active pattern="Variables" />
<active pattern="Organisation" />
<active pattern="Address" />
<active pattern="Person" />
<active pattern="Content" />
</phase>

<phase id="Warnings">
<active pattern="Variables" />
<active pattern="Warnings" />
</phase>

<include href="../Common/Variables.sch" />
<include href="../Common/Context.sch" />
<include href="../SWS/SWS Context.sch" />
<include href="../Common/FieldPatterns.sch" />
<!-- Dimension namespaces???? -->
<include href="../Common/Mandatories.sch" />
<!-- Prerequisites Phase -->
<include href="../Common/Organisation.sch" />
<!-- Mandatories Phase -->
<include href="../Common/Address.sch" />
<!-- Content Phase -->
<include href="../Common/Person.sch" />
<!-- Warnings Phase -->
<include href="../Common/Content.sch" />
<!-- ISO Includes -->
<include href="../Common/Warnings.sch" />
<include href="../Diagnostics.sch" />
</schema>